#pragma once

#include "CoreMinimal.h"
#include "UObject/NoExportTypes.h"
#include "SkyDomeParams.generated.h"

class UStaticMesh;
class UMaterialInterface;

USTRUCT(BlueprintType)
struct FSkyDomeParams
{
	GENERATED_BODY()

public:
	UPROPERTY(EditAnywhere)
	FRotator3f Orientation;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	UStaticMesh* sphereDome;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	float scaling;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	UMaterialInterface* material;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	bool bIsVisible;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	bool bHiddenInGame;

public:
	GRAPHICSEXTENSIONS_API FSkyDomeParams();
};

FORCEINLINE uint32 GetTypeHash(const FSkyDomeParams) { return 0; }
